Bug 547531

Summary: 'sync' section of 'man exports' is unclear
Product: [Fedora] Fedora Reporter: Sam <kingsamses+rhbz>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 12CC: jlayton, steved
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 20:39:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sam 2009-12-14 16:19:03 EST
Description of problem:

The section of the 'exports' man page about the 'sync' option is thus:

       sync   Reply to requests only after the changes have been committed  to
              stable storage (see async above).

              In  releases of nfs-utils up to and including 1.0.0, *this option*
              was the default.  In all  releases  after  1.0.0,  sync  is  the
              default,  and  async must be explicitly requested if needed.  To
              help make system administrators aware of this change, ’exportfs’
              will issue a warning if neither sync nor async is specified.

*this option* seems to mean the 'sync' option, since it's in the 'sync' section, but then the default would have always been 'sync' and the distinction between pre- and post-1.0.0 would be pointless. I don't know the history of nfs, but the paragraph's existence suggests that *this option* must refer to 'async', and I would suggest that this be clarified.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.1-1.fc12.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Personal confusion

Expected results:
Personal enlightenment

Additional info:
Comment 1 Bug Zapper 2010-11-03 23:21:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 20:39:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.